<?xml version="1.0" encoding="Shift_JIS"?>
<!--
    @informations;
    proj   :X-taw(XML-DTD-XSL Template for Administrating Websites);
    genre  :XMLpev[g;
    source :XSL Template;
    publish:Coop Software(www.ecoop.net);
    @end;
-->
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" encoding="Shift_JIS" />
<!--ŏʃm[hBHTML̃wb_ƃtb^̏-->
<xsl:template match="/">
<HTML>
<HEAD>
 <meta http-equiv="Content-Type" content="text/html; charset=Shift_JIS" />
 <meta http-equiv="Content-Script-Type" content="text/javascript" />
 <meta http-equiv="Content-Style-Type" content="text/css" />
 <meta name="author" content="&lt;xsl:value-of select='all/info-html/@author' /&gt;" />
 <meta name="description" content="&lt;xsl:value-of select='all/info-html/@description' /&gt;" />
 <meta name="keywords" content="&lt;xsl:value-of select='all/info-html/@keywords' /&gt;" />
 <title><xsl:value-of select='all/info-html/@title' /></title>

<style type="text/css">
  body{background:#eeddcc;}
  .bold{font:bold;}
  .diffs{color:#006666;}
</style>
</HEAD>
<BODY>
<h2><xsl:value-of select="all/info-database/@name" /></h2>
<h3>version : <xsl:value-of select="all/info-database/@version" /></h3>
<h3>update : <xsl:value-of select="all/info-database/@update" /></h3>
<h3>Copyright(c) <xsl:value-of select='all/info-html/@author' /></h3>
<hr />
<p>̃XgɂȂ֐EVXeϐ͔ΉłBSdl̏ꍇ͉Ă܂B</p> 
<table border="1">
    <xsl:apply-templates />
 </table>
</BODY>
</HTML>
</xsl:template>
<!--ŏʃm[h܂ŁBem[h̃ev[gJn-->


<xsl:template match="function">
<tr>
 <td><br />
 <h3>
  <xsl:value-of select="./name" /> ( <xsl:apply-templates select="arg"/> )
 </h3>
 <p>
  <xsl:for-each select="arg">
   <xsl:if test="@info=''">
    <xsl:value-of select="." />,
   </xsl:if>
   <xsl:if test="@info!=''">
    <xsl:value-of select="." /> = <xsl:value-of select="@info" /><br />
   </xsl:if>
  </xsl:for-each>
 </p>
 <div class="diffs"><span class="bold">EHSPƂ̈Ⴂ</span><br />
  <ul>
  <xsl:for-each select="HSPdiffs">
   <li class="diffs"><xsl:value-of select="." /></li>
  </xsl:for-each>
  </ul>
 </div>
 <div><span class="bold">E</span><br />
   <xsl:apply-templates select="description" />
   <p align="right">+ XV - <xsl:value-of select="./update" /> +</p>
 </div>

 </td>
</tr>

</xsl:template>

<xsl:template match="arg[1]">
 <xsl:if test="@omittable='TRUE'">[</xsl:if>
   <xsl:if test="@type">
    <xsl:value-of select="@type" />&#x20;
   </xsl:if>

   <xsl:value-of select="." />

   <xsl:if test="@default">
     &#x20;=&#x20;<xsl:value-of select="@default" />
   </xsl:if>
 <xsl:if test="@omittable='TRUE'">]</xsl:if>
</xsl:template>

<xsl:template match="arg">
 <xsl:if test="@omittable='TRUE'">[</xsl:if>
    ,
   <xsl:if test="@type">
    <xsl:value-of select="@type" />&#x20;
   </xsl:if>
    <xsl:value-of select="." />

   <xsl:if test="@default">
     &#x20;=&#x20;<xsl:value-of select="@default" />
   </xsl:if>
 <xsl:if test="@omittable='TRUE'">]</xsl:if>
</xsl:template>

<xsl:template match="description">
    <xsl:value-of select="." /><br />
</xsl:template>
<!--ev[g̃ev[g
<xsl:template match="">
    <xsl:apply-templates select="."/>
    <xsl:value-of select="." />
</xsl:template>
-->

<!--ev[g܂-->
</xsl:stylesheet>
